<template>
    <div>
        <div>
            <label>
                Item
                <input v-model="currentDirectory.item" type="text" />
            </label>
        </div>
        <div>
            <label>
                Rate
                <input v-model="currentDirectory.hoursquantity" type="number" />
            </label>
        </div>
        <div>
            <label>
                Year
                <input v-model="currentDirectory.teacher" type="text" />
            </label>
        </div>
        <div>
            <label>
                Owner
                <input v-model="currentDirectory.rating" type="number" />
            </label>
        </div>
        <button @click="onAction">{{ actionBtnTitle }}</button>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
    export default {
        name: 'ChangeDirectory',
        data() {
            return {
                currentDirectory: {},
            }
        },

        computed: {
        ...mapGetters(['getDirectoryId']),
        directoryId() {
            return this.$route.params.directoryId
        },
        actionBtnTitle() {
            return this.directoryId ? 'Save' : 'Create'
        },
    },
    created(){
        if(this.directoryId) this.currentDirectory = {...this.getDirectoryId(this.directoryId)}
    },
    methods: {
        ...mapActions(['addDirectory', 'updateDirectory']),
        onAction() {
            if(!this.directoryId) this.addDirectory(this.currentDirectory)
            else this.updateDirectory(this.currentDirectory)
        this.$router.push()
        }
    },
    }
</script>

<style lang="scss" scoped>

</style>